osl::rating::SquareXGroup Struct Reference

`#include <squareGroup.h>`

Inheritance diagram for osl::rating::SquareXGroup:

## Public Member Functions

| SquareXGroup ()
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &, Move move, const RatingEnv &env) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const

## Additional Inherited Members

Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 49 of file squareGroup.h.

## Constructor & Destructor Documentation

## SquareXGroup()

osl::rating::SquareXGroup::SquareXGroup | ( |  | ) |

Definition at line 31 of file squareGroup.cc.

References osl::rating::Group::Group(), osl::PTYPE_BASIC_MIN, osl::PTYPE_MAX, and osl::PTYPE_PIECE_MIN.

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::SquareXGroup::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 64 of file squareGroup.h.

## findMatch()

int osl::rating::SquareXGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

inline virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 57 of file squareGroup.h.

References osl::rating::DropPtype::index(), osl::rating::SquareX::makeX(), osl::rating::RatingEnv::progress, osl::rating::DropPtype::UNIT, and osl::progress::ProgressN< N >::value().

## show()

void osl::rating::SquareXGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 52 of file squareGroup.h.

References osl::rating::Group::showTopN().

The documentation for this struct was generated from the following files:

- squareGroup.h
- squareGroup.cc